- breadcrumb_title _("Repository")
- page_title _("Repository")
- @content_class = "limit-container-width" unless fluid_layout

%section.settings.as-default-branch-name.no-animate#js-default-branch-name{ class: ('expanded' if expanded_by_default?) }
  .settings-header
    %h4
      = _('Default initial branch name')
    %button.btn.gl-button.btn-default.js-settings-toggle{ type: 'button' }
      = expanded_by_default? ? _('Collapse') : _('Expand')
    %p
      = _('Set the default name of the initial branch when creating new repositories through the user interface.')
  .settings-content
    = render 'initial_branch_name'

%section.settings.as-mirror.no-animate#js-mirror-settings{ class: ('expanded' if expanded_by_default?) }
  .settings-header
    %h4
      = _('Repository mirroring')
    %button.btn.gl-button.btn-default.js-settings-toggle{ type: 'button' }
      = expanded_by_default? ? 'Collapse' : 'Expand'
    %p
      = _('Configure repository mirroring.')
  .settings-content
    = render partial: 'repository_mirrors_form'

%section.settings.as-repository-storage.no-animate#js-repository-storage-settings{ class: ('expanded' if expanded_by_default?), data: { qa_selector: 'repository_storage_settings_content' } }
  .settings-header
    %h4
      = _('Repository storage')
    %button.btn.gl-button.btn-default.js-settings-toggle{ type: 'button' }
      = expanded_by_default? ? _('Collapse') : _('Expand')
    %p
      = _('Configure storage path settings.')
  .settings-content
    = render 'repository_storage'

%section.settings.as-repository-check.no-animate#js-repository-check-settings{ class: ('expanded' if expanded_by_default?) }
  .settings-header
    %h4
      = _('Repository maintenance')
    %button.btn.gl-button.btn-default.js-settings-toggle{ type: 'button' }
      = expanded_by_default? ? _('Collapse') : _('Expand')
    %p
      = _('Configure')
      = link_to s_('repository checks'), help_page_path('administration/repository_checks.md'), target: '_blank', rel: 'noopener noreferrer'
      = _('and')
      = link_to s_('housekeeping'), help_page_path('administration/housekeeping.md'), target: '_blank', rel: 'noopener noreferrer'
      = _('on repositories.')
  .settings-content
    = render 'repository_check'

%section.settings.as-repository-static-objects.no-animate#js-repository-static-objects-settings{ class: ('expanded' if expanded_by_default?) }
  .settings-header
    %h4
      = _('Repository static objects')
    %button.btn.gl-button.btn-default.js-settings-toggle{ type: 'button' }
      = expanded_by_default? ? _('Collapse') : _('Expand')
    %p
      = _('Serve repository static objects (e.g. archives, blobs, ...) from an external storage (e.g. a CDN).')
  .settings-content
    = render 'repository_static_objects'
